Update order message
import requests
url = "https://api.paywise.de/v2/orders/{order_id}/messages/{id}/"
payload = {
"body": "Correction: the new invoice address applies from 1 August 2026.",
"title": "Updated invoice address (corrected)"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('Correction: the new invoice address applies from 1 August 2026.'),
title: 'Updated invoice address (corrected)'
})
};
fetch('https://api.paywise.de/v2/orders/{order_id}/messages/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.paywise.de/v2/orders/{order_id}/messages/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"Correction: the new invoice address applies from 1 August 2026.\",\n \"title\": \"Updated invoice address (corrected)\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/orders/{order_id}/messages/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"body\": \"Correction: the new invoice address applies from 1 August 2026.\",\n \"title\": \"Updated invoice address (corrected)\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PATCH \
--url https://api.paywise.de/v2/orders/{order_id}/messages/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Correction: the new invoice address applies from 1 August 2026.",
"title": "Updated invoice address (corrected)"
}
'{
"author": {
"type": "api"
},
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"editable": true,
"href": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "order"
},
"response_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender": "client",
"state": "under_review",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Messages
Update order message
Messages exchanged with paywise about one order or one case.
PATCH
/
v2
/
orders
/
{order_id}
/
messages
/
{id}
/
Update order message
import requests
url = "https://api.paywise.de/v2/orders/{order_id}/messages/{id}/"
payload = {
"body": "Correction: the new invoice address applies from 1 August 2026.",
"title": "Updated invoice address (corrected)"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('Correction: the new invoice address applies from 1 August 2026.'),
title: 'Updated invoice address (corrected)'
})
};
fetch('https://api.paywise.de/v2/orders/{order_id}/messages/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.paywise.de/v2/orders/{order_id}/messages/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"Correction: the new invoice address applies from 1 August 2026.\",\n \"title\": \"Updated invoice address (corrected)\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/orders/{order_id}/messages/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"body\": \"Correction: the new invoice address applies from 1 August 2026.\",\n \"title\": \"Updated invoice address (corrected)\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PATCH \
--url https://api.paywise.de/v2/orders/{order_id}/messages/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Correction: the new invoice address applies from 1 August 2026.",
"title": "Updated invoice address (corrected)"
}
'{
"author": {
"type": "api"
},
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"editable": true,
"href": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "order"
},
"response_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender": "client",
"state": "under_review",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
caseBearerAuthpartnerBearerAuth
Headers
Path Parameters
Body
application/json
Update the message title, body, or both. Supply at least one field; omitted fields retain their values. Unknown fields are rejected.
Response
Resource representation with a native UUID id.
